Loading...
Searching...
No Matches
gsmtap_osmocore_log_hdr Struct Reference

Structure of the GSMTAP libosmocore logging header. More...

`#include <gsmtap.h>`

## Data Fields

struct { |
uint32_t sec |
uint32_t usec |
} | ts
char | proc_name [16]
| name of process
uint32_t | pid
| process ID
uint8_t | level
| logging level
uint8_t | _pad [3]
char | subsys [16]
| logging sub-system
struct { |
char name [32] |
| source file name More...
uint32_t line_nr |
| line number More...
} | src_file

## Detailed Description

Structure of the GSMTAP libosmocore logging header.

## Field Documentation

## _pad

uint8_t gsmtap_osmocore_log_hdr::_pad[3]

## level

uint8_t gsmtap_osmocore_log_hdr::level

logging level

Referenced by _gsmtap_raw_output().

## line_nr

uint32_t gsmtap_osmocore_log_hdr::line_nr

line number

Referenced by _gsmtap_raw_output().

## name

char gsmtap_osmocore_log_hdr::name[32]

source file name

Referenced by _gsmtap_raw_output().

## pid

uint32_t gsmtap_osmocore_log_hdr::pid

process ID

Referenced by _gsmtap_raw_output().

## proc_name

char gsmtap_osmocore_log_hdr::proc_name[16]

name of process

Referenced by _gsmtap_raw_output().

## sec

uint32_t gsmtap_osmocore_log_hdr::sec

Referenced by _gsmtap_raw_output().

## [struct]

struct { ... } gsmtap_osmocore_log_hdr::src_file

Referenced by _gsmtap_raw_output().

## subsys

char gsmtap_osmocore_log_hdr::subsys[16]

logging sub-system

Referenced by _gsmtap_raw_output().

## [struct]

struct { ... } gsmtap_osmocore_log_hdr::ts

Referenced by _gsmtap_raw_output().

## usec

uint32_t gsmtap_osmocore_log_hdr::usec

Referenced by _gsmtap_raw_output().

The documentation for this struct was generated from the following file:

- include/osmocom/core/gsmtap.h